Version 6.7.7 Source

Table Name: `tabProduct Bundle`

Aggregate group of **Items** into another **Item**. This is useful if you are bundling a certain **Items** into a package and you maintain stock of the packed **Items** and not the aggregate **Item**. The package **Item** will have "Is Stock Item" as "No" and "Is Sales Item" as "Yes". For Example: If you are selling Laptops and Backpacks separately and have a special price if the customer buys both, then the Laptop + Backpack will be a new Product Bundle Item. Note: BOM = Bill of Materials

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `basic_section` | Section Break |  |
2 | `new_item_code` | Link | Parent Item | Item
3 | `item_section` | Section Break | List items that form the package. |
4 | `items` | Table | Items | Product Bundle Item

### Controller

#### erpnext.selling.doctype.product_bundle.product_bundle

### Class ProductBundle

Inherits from frappe.model.document.Document

autoname (self)

No docs

validate (self)

No docs

validate_main_item (self)

Validates, main Item is not a stock item

erpnext.selling.doctype.product_bundle.product_bundle.get_new_item_code (doctype, txt, searchfield, start, page_len, filters)

No docs